import Request from '../common/request.js';
let request = new Request().http
// 字典
 export function dicts(type) {
 	 return request(`/system/dict/data/type/${type}`,null,'GET');
 }




 export function getTlsSig(data) {
 	 return request('/store/app/common/getTlsSig',data,'GET');
 }
 
 export function getStoreConfig() {
  	 return request('/store/app/common/getStoreConfig',null,'GET');
 } 
 
 export function getProductConfig() {
  	 return request('/store/app/common/getProductConfig',null,'GET');
 } 
 
 export function getWeixinTemps() {
 	 return request('/store/app/common/getWeixinTemps',null,'GET');
 }
 export function getWeixinOrderTemps() {
 	 return request('/store/app/common/getWeixinOrderTemps',null,'GET');
 }
 export function getWeixinPrescribeTemps() {
 	 return request('/store/app/common/getWeixinPrescribeTemps',null,'GET');
 }
 
 
 export function getDictByKey(data) {
  	 return request('/store/app/common/getDictByKey',data,'GET');
 } 
 
//  文件上传
  export function upload(data) {
 	 return request('/system/file/upload',data,'GET');
 }